define("local_booste/activity_form",["exports","core_course/local/activitychooser/dialogue","core_course/local/activitychooser/repository","core_course/local/activitychooser/selectors","core/custom_interaction_events","core/templates","core/modal_factory","core/str","core/pending","core/ajax","./helper","core/notification"],(function(_exports,ChooserDialogue,Repository,_selectors,_custom_interaction_events,Templates,ModalFactory,_str,_pending,_ajax,_helper,_notification){function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _getRequireWildcardCache(nodeInterop){if("function"!=typeof WeakMap)return null;var cacheBabelInterop=new WeakMap,cacheNodeInterop=new WeakMap;return(_getRequireWildcardCache=function(nodeInterop){return nodeInterop?cacheNodeInterop:cacheBabelInterop})(nodeInterop)}function _interopRequireWildcard(obj,nodeInterop){if(!nodeInterop&&obj&&obj.__esModule)return obj;if(null===obj||"object"!=typeof obj&&"function"!=typeof obj)return{default:obj};var cache=_getRequireWildcardCache(nodeInterop);if(cache&&cache.has(obj))return cache.get(obj);var newObj={},hasPropertyDescriptor=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var key in obj)if("default"!==key&&Object.prototype.hasOwnProperty.call(obj,key)){var desc=hasPropertyDescriptor?Object.getOwnPropertyDescriptor(obj,key):null;desc&&(desc.get||desc.set)?Object.defineProperty(newObj,key,desc):newObj[key]=obj[key]}return newObj.default=obj,cache&&cache.set(obj,newObj),newObj}
/**
   * A type of dialogue used as for choosing modules in a course.
   *
   * @module     core_course/activitychooser
   * @copyright  2020 Mathew May <mathew.solutions>
   * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.init=_exports.createGuideline=void 0,_exports.initChart=async function(boosteId){const synthesis=await(0,_helper.getLabel)("synthesis"),evaluation=await(0,_helper.getLabel)("evaluation"),analysis=await(0,_helper.getLabel)("analysis"),application=await(0,_helper.getLabel)("application"),comprehension=await(0,_helper.getLabel)("comprehension"),knowledge=await(0,_helper.getLabel)("knowledge"),detailSynthesis=await(0,_helper.getLabel)("detail_synthesis"),detailEvaluation=await(0,_helper.getLabel)("detail_evaluation"),detailAnalysis=await(0,_helper.getLabel)("detail_analysis"),detailApplication=await(0,_helper.getLabel)("detail_application"),detailComprehension=await(0,_helper.getLabel)("detail_comprehension"),detailKnowledge=await(0,_helper.getLabel)("detail_knowledge"),title=await(0,_helper.getLabel)("taxonomy_chart"),objectivesNumber=await(0,_helper.getLabel)("objectives_number");document.getElementById("id_all").style.backgroundColor="#e3e3e3",document.getElementById("id_synthesis").style.backgroundColor="#ca3120",document.getElementById("id_evaluation").style.backgroundColor="#ccbeaa",document.getElementById("id_analysis").style.backgroundColor="#afdcfd",document.getElementById("id_application").style.backgroundColor="#ff8c3f",document.getElementById("id_comprehension").style.backgroundColor="#8c5dd9",document.getElementById("id_knowledge").style.backgroundColor="#f0cf4e";var synthesisVal=0,evaluationVal=0,analysisVal=0,applicationVal=0,comprehensionVal=0,knowledgeVal=0;const request={methodname:"local_booste_get_objectives",args:{id:boosteId}};_ajax.default.call([request])[0].done((data=>{document.getElementById("id_all").removeAttribute("hidden"),data.forEach((objective=>{switch(objective.taxonomy_name){case"synthesis":synthesisVal++,document.getElementById("id_synthesis").removeAttribute("hidden");break;case"evaluation":evaluationVal++,document.getElementById("id_evaluation").removeAttribute("hidden");break;case"analysis":analysisVal++,document.getElementById("id_analysis").removeAttribute("hidden");break;case"application":applicationVal++,document.getElementById("id_application").removeAttribute("hidden");break;case"comprehension":comprehensionVal++,document.getElementById("id_comprehension").removeAttribute("hidden");break;case"knowledge":knowledgeVal++,document.getElementById("id_knowledge").removeAttribute("hidden")}}));const chartdata={type:"pie",series:[{label:objectivesNumber,labels:[detailKnowledge,detailComprehension,detailApplication,detailAnalysis,detailEvaluation,detailSynthesis],type:null,values:[knowledgeVal,comprehensionVal,applicationVal,analysisVal,evaluationVal,synthesisVal],colors:[],axes:{x:null,y:null},smooth:null}],labels:[knowledge,comprehension,application,analysis,evaluation,synthesis],title:title,axes:{x:[],y:[]},config_colorset:null,doughnut:!1},dataForChart={chartdata:JSON.stringify(chartdata),withtable:!0};Templates.render("local_booste/activitychart",dataForChart).then((function(html,js){Templates.replaceNodeContents(document.getElementById("taxonomy_chart"),html,js)}))})).catch(_notification.default.exception)},_exports.recommendations=async function(courseId,boosteId){let bodyPromiseResolver,taxonomy=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"all",points=arguments.length>3?arguments[3]:void 0;var moretext=await(0,_helper.getLabel)("more"),lesstext=await(0,_helper.getLabel)("less");const fetchModuleData=(()=>{let innerPromise=null;return()=>(innerPromise||(innerPromise=new Promise((resolve=>{resolve(Repository.activityModules(courseId))}))),innerPromise)})(),fetchExtActivitiesData=(()=>{let innerPromise=null;return()=>(innerPromise||(innerPromise=new Promise((resolve=>{resolve(getExtActivities(courseId))}))),innerPromise)})(),data=await fetchModuleData().catch((async e=>{const errorTemplateData={errormessage:e.message};bodyPromiseResolver(await Templates.render("core_course/local/activitychooser/error",errorTemplateData))}));data.content_items.map((d=>{d.activity_type="int"}));const eadata=await fetchExtActivitiesData().catch((async e=>{const errorTemplateData={errormessage:e.message};bodyPromiseResolver(await Templates.render("core_course/local/activitychooser/error",errorTemplateData))})),fetchRecommendedData=(()=>{let innerPromise=null;return()=>(innerPromise||(innerPromise=new Promise((resolve=>{resolve(getRecommendedActivities(boosteId,taxonomy))}))),innerPromise)})();data.content_items.push(...eadata),data.content_items.splice(Object.keys(data.content_items).find((key=>"lti"===data.content_items[key].name)),1);const recommended=await fetchRecommendedData().catch((async e=>{const errorTemplateData={errormessage:e.message};bodyPromiseResolver(await Templates.render("core_course/local/activitychooser/error",errorTemplateData))})),recommendedForTemplate=setRecommendedActivities(data.content_items,recommended,points),params={recommended:recommendedForTemplate,taxonomy:taxonomy,taxonomy_i18n:M.util.get_string(taxonomy,"local_booste")};console.log("i18n",taxonomy,M.util.get_string(taxonomy,"local_booste"));var idContainer=document.getElementById(taxonomy+"_suggested_activities");console.log("parameters",params),Templates.render("local_booste/activitysuggestedlist",params).then((function(html,js){if(Templates.replaceNodeContents(idContainer,html,js),console.log("recommended.length",recommended.length),recommended.length>10){$("#local-booste-recommended-"+taxonomy).after('<a href="#" id="display_recs_'+taxonomy+'">'+moretext+"</a>");var numShown=10,$table=$(".tbl").find("tbody"),numRows=$table.find("tr").length;$table.find("tr:gt("+(numShown-1)+")").hide(),$("#display_recs_"+taxonomy).on("click",(function(){numShown===numRows?(numShown=10,$table.find("tr:gt("+(numShown-1)+")").hide(),$("#display_recs_"+taxonomy).text(moretext)):(numShown=numRows,$("#display_recs_"+taxonomy).text(lesstext)),$table.find("tr:lt("+numShown+")").show()}))}}))},ChooserDialogue=_interopRequireWildcard(ChooserDialogue),Repository=_interopRequireWildcard(Repository),_selectors=_interopRequireDefault(_selectors),_custom_interaction_events=_interopRequireDefault(_custom_interaction_events),Templates=_interopRequireWildcard(Templates),ModalFactory=_interopRequireWildcard(ModalFactory),_pending=_interopRequireDefault(_pending),_ajax=_interopRequireDefault(_ajax),_notification=_interopRequireDefault(_notification);_exports.init=(courseId,boosteId,chooserConfig)=>{const pendingPromise=new _pending.default;registerListenerEvents(courseId,boosteId,chooserConfig),pendingPromise.resolve(),(0,_helper.thirdFormLoader)()};const getExtActivities=courseId=>{const request={methodname:"local_booste_get_ext_activities",args:{id:courseId}};return _ajax.default.call([request])[0]},getRecommendedActivities=(boosteId,taxonomy)=>{const request={methodname:"local_booste_get_recommendations",args:{id:boosteId,taxonomy:taxonomy}};return _ajax.default.call([request])[0]},setRecommendedActivities=(data,context,points)=>{var recActivities=[],extRecActivities=[],index=1;context.forEach((rec=>{rec.ext_activity?extRecActivities[rec.ext_activity]=rec.points:rec.activity&&(recActivities[rec.activity]=rec.points)}));const extRecActivitiesKeys=Object.keys(extRecActivities),recActivitiesKeys=Object.keys(recActivities);data.forEach((row=>{row.recommended=!1,row.recommended_value=0,row.match=0,"ext"==row.activity_type&&extRecActivitiesKeys.includes(row.id.toString())?(row.recommended=!0,row.recommended_value=parseInt(extRecActivities[row.id]+10)):"int"==row.activity_type&&recActivitiesKeys.includes(row.id.toString())&&(row.recommended=!0,row.recommended_value=parseInt(recActivities[row.id]+10)),row.match=Math.ceil(row.recommended_value/points*100)}));var recommended=data.filter((mod=>!0===mod.recommended));return(recommended=recommended.sort(((a,b)=>b.recommended_value-a.recommended_value))).forEach((row=>{row.index=index++})),recommended};_exports.createGuideline=()=>{document.querySelectorAll("[data-action=add_guideline]").forEach((selectors=>{selectors.addEventListener("click",(e=>{var data=e.target.dataset,url=window.location.href,urlParams=new URLSearchParams(window.location.search),boosteid=urlParams.get("booste"),courseid=urlParams.get("course");url=url.split("booste_third_form")[0],url+="modedit.php?&course="+courseid+"&add=label&booste="+boosteid+"&booste_step="+data.id+"&section="+data.sectionid+"&sr=&archetype=1",window.location.href=url}))}))};const registerListenerEvents=(courseId,boosteId,chooserConfig)=>{const events=["click",_custom_interaction_events.default.events.activate,_custom_interaction_events.default.events.keyboardActivate],fetchModuleData=(()=>{let innerPromise=null;return()=>(innerPromise||(innerPromise=new Promise((resolve=>{resolve(Repository.activityModules(courseId))}))),innerPromise)})(),fetchFooterData=(()=>{let footerInnerPromise=null;return sectionId=>(footerInnerPromise||(footerInnerPromise=new Promise((resolve=>{resolve(Repository.fetchFooterData(courseId,sectionId))}))),footerInnerPromise)})(),fetchExtActivitiesData=(()=>{let innerPromise=null;return()=>(innerPromise||(innerPromise=new Promise((resolve=>{resolve(getExtActivities(courseId))}))),innerPromise)})(),fetchRecommendedData=(()=>{let innerPromise=null;return()=>(innerPromise||(innerPromise=new Promise((resolve=>{resolve(getRecommendedActivities(boosteId,"all"))}))),innerPromise)})();_custom_interaction_events.default.define(document,events),events.forEach((event=>{document.addEventListener(event,(async e=>{if("add_activity"==e.target.dataset.action||"add_resource"==e.target.dataset.action){let caller,bodyPromiseResolver;caller=e.target;const bodyPromise=new Promise((resolve=>{bodyPromiseResolver=resolve})),footerData=await fetchFooterData(caller.dataset.sectionid),sectionModal=buildModal(bodyPromise,footerData),data=await fetchModuleData().catch((async e=>{const errorTemplateData={errormessage:e.message};bodyPromiseResolver(await Templates.render("core_course/local/activitychooser/error",errorTemplateData))})),extActivities=await fetchExtActivitiesData().catch((async e=>{const errorTemplateData={errormessage:e.message};bodyPromiseResolver(await Templates.render("core_course/local/activitychooser/error",errorTemplateData))}));if(extActivities.map((e=>{e.link_helper=e.link})),data.content_items.map((d=>{d.activity_type="int"})),!data)return;data.content_items.push(...extActivities);const recommended=await fetchRecommendedData().catch((async e=>{const errorTemplateData={errormessage:e.message};bodyPromiseResolver(await Templates.render("core_course/local/activitychooser/error",errorTemplateData))}));setRecommendedActivities(data.content_items,recommended);const builtModuleData=sectionIdMapper(data,boosteId,caller.dataset.id,caller.dataset.sectionid,caller.dataset.sectionreturnid,courseId);ChooserDialogue.displayChooser(sectionModal,builtModuleData,partiallyAppliedFavouriteManager(data,caller.dataset.sectionid),footerData),"add_activity"==e.target.dataset.action?bodyPromiseResolver(await Templates.render("local_booste/activitychooser",templateDataBuilder(builtModuleData,chooserConfig))):"add_resource"==e.target.dataset.action&&bodyPromiseResolver(await Templates.render("local_booste/resourcechooser",templateDataBuilder(builtModuleData,chooserConfig)))}}))}))},sectionIdMapper=(webServiceData,boosteId,boosteStep,id,sectionreturnid,courseId)=>{const newData=JSON.parse(JSON.stringify(webServiceData));return newData.content_items.forEach((module=>{if("int"==module.activity_type)module.link=module.link.replace("id=","course="),"mod_game"==module.componentname?module.link=module.link.replace("course/mod","local/booste/forms/mod"):module.link=module.link.replace("course/mod","local/booste/forms/modedit"),module.link+="&booste="+boosteId+"&booste_step="+boosteStep+"&section="+id+"&sr="+(null!=sectionreturnid?sectionreturnid:0)+"&archetype="+module.archetype;else if("ext"==module.activity_type){var link=window.location.href.split("forms/");module.link=link[0]+"forms/modedit.php",module.link+="?course="+courseId+"&add=url&booste="+boosteId+"&booste_step="+boosteStep+"&section="+id+"&sr="+(null!=sectionreturnid?sectionreturnid:0)+"&archetype="+module.archetype+"&ext_activity="+module.id}})),newData.content_items},templateDataBuilder=(data,chooserConfig)=>{let activities=[],ext_activities=[],resources=[],showAll=!0,showActivities=!1,showResources=!1;const tabMode=parseInt(chooserConfig.tabmode),favourites=data.filter((mod=>!0===mod.favourite)),recommended=data.filter((mod=>!0===mod.recommended));0!==tabMode&&2!==tabMode||1===tabMode||(activities=data.filter((mod=>"int"===mod.activity_type)),ext_activities=data.filter((mod=>"ext"===mod.activity_type)),resources=data.filter((mod=>1===mod.archetype)),showActivities=!0,showResources=!0,2===tabMode&&(showAll=!1));const favouritesFirst=!!favourites.length;return{default:data,showAll:showAll,activities:activities,ext_activities:ext_activities,showActivities:showActivities,activitiesFirst:!1===showAll&&!1===favouritesFirst,resources:resources,showResources:showResources,favourites:favourites,recommended:recommended,favouritesFirst:favouritesFirst,fallback:!0===showAll&&!1===favouritesFirst}},buildModal=(bodyPromise,footer)=>ModalFactory.create({type:ModalFactory.types.DEFAULT,title:(0,_str.get_string)("addresourceoractivity"),body:bodyPromise,footer:footer.customfootertemplate,large:!0,scrollable:!1,templateContext:{classes:"modchooser"}}).then((modal=>(modal.show(),modal))),partiallyAppliedFavouriteManager=(moduleData,sectionId)=>async(internal,favourite,modalBody)=>{const favouriteArea=modalBody.querySelector(_selectors.default.render.favourites),favouriteButtons=modalBody.querySelectorAll('[data-internal="'.concat(internal,'"] ').concat(_selectors.default.actions.optionActions.manageFavourite)),favouriteTabNav=modalBody.querySelector(_selectors.default.regions.favouriteTabNav),result=moduleData.content_items.find((_ref=>{let{name:name}=_ref;return name===internal})),newFaves={};if(result)if(favourite){result.favourite=!0,newFaves.content_items=moduleData.content_items.filter((mod=>!0===mod.favourite));const builtFaves=sectionIdMapper(newFaves,sectionId),{html:html,js:js}=await Templates.renderForPromise("core_course/local/activitychooser/favourites",{favourites:builtFaves});await Templates.replaceNodeContents(favouriteArea,html,js),Array.from(favouriteButtons).forEach((element=>{element.classList.remove("text-muted"),element.classList.add("text-primary"),element.dataset.favourited="true",element.setAttribute("aria-pressed",!0),element.firstElementChild.classList.remove("fa-star-o"),element.firstElementChild.classList.add("fa-star")})),favouriteTabNav.classList.remove("d-none")}else{result.favourite=!1;const nodeToRemove=favouriteArea.querySelector('[data-internal="'.concat(internal,'"]'));nodeToRemove.parentNode.removeChild(nodeToRemove),Array.from(favouriteButtons).forEach((element=>{element.classList.add("text-muted"),element.classList.remove("text-primary"),element.dataset.favourited="false",element.setAttribute("aria-pressed",!1),element.firstElementChild.classList.remove("fa-star"),element.firstElementChild.classList.add("fa-star-o")}));0===moduleData.content_items.filter((mod=>!0===mod.favourite)).length&&((favouriteTabNav,modalBody)=>{if(favouriteTabNav.tabIndex=-1,favouriteTabNav.classList.add("d-none"),favouriteTabNav.classList.contains("active")){favouriteTabNav.classList.remove("active"),favouriteTabNav.setAttribute("aria-selected","false"),modalBody.querySelector(_selectors.default.regions.favouriteTab).classList.remove("active");const defaultTabNav=modalBody.querySelector(_selectors.default.regions.defaultTabNav),activitiesTabNav=modalBody.querySelector(_selectors.default.regions.activityTabNav);!1===defaultTabNav.classList.contains("d-none")?(defaultTabNav.classList.add("active"),defaultTabNav.setAttribute("aria-selected","true"),defaultTabNav.tabIndex=0,defaultTabNav.focus(),modalBody.querySelector(_selectors.default.regions.defaultTab).classList.add("active")):(activitiesTabNav.classList.add("active"),activitiesTabNav.setAttribute("aria-selected","true"),activitiesTabNav.tabIndex=0,activitiesTabNav.focus(),modalBody.querySelector(_selectors.default.regions.activityTab).classList.add("active"))}})(favouriteTabNav,modalBody)}}}));

//# sourceMappingURL=activity_form.min.js.map